#!/usr/bin/perl

use lib '../../../build/swig/perl';

use yui;
use POSIX qw(strftime);

my $factory = yui::YUI::widgetFactory;
my $opt     = yui::YUI::optionalWidgetFactory;

my $dialog = $factory->createPopupDialog;

my $vbox = $factory->createVBox( $dialog );

my $calendar;
my $day = strftime "%F", localtime;
if ($opt->hasDateField()) {
	$calendar = $opt->createDateField($vbox, "Calendar"); 
}
else {
	$calendar = $factory->createInputField($vbox, "Calendar");
}
$calendar->setValue($day);
$calendar->setEnabled(0);

my $clock;
my $time = strftime "%H:%M:%S", localtime;
if ($opt->hasTimeField()) {
	$clock = $opt->createTimeField($vbox, "TimeField"); 
}
#else {
#	$clock = $factory->createInputField($vbox, "TimeField");
#}
$clock->setValue($time);
$clock->setNotify(1);

$factory->createLabel( $vbox, "Hello, World!" );
$factory->createPushButton( $vbox, "&OK" );
my $event = $dialog->waitForEvent();

print "Date " .  $calendar->value() . " time " . $clock->value() ." \n";
$dialog->destroy();
